Support » Plugin: Fast Secure Contact Form Newsletter » Seems to be dangerous

  • I had a multiple attack by hackers, likely through this plugin.

    Don’t trust it as long as it isn’t updated.

  • The topic ‘Seems to be dangerous’ is closed to new replies.